from imports import *
config.Albatros = ConfigSubsection()
config.Albatros.no_entry = NoSave(ConfigNothing())
config.Albatros.teledunet_name = ConfigText(default='0', fixed_size=False)
config.Albatros.teledunet_password = ConfigText(default='0', fixed_size=False)
config.Albatros.teledunet_id1 = ConfigText(default='0', fixed_size=False)
config.Albatros.teledunet_idu = ConfigText(default='0', fixed_size=False)
config.Albatros.teledunet_myip = ConfigText(default='0', fixed_size=False)
config.Albatros.teledunet_dz = ConfigText(default='0', fixed_size=False)
config.Albatros.glarab_proxy = ConfigText(default='0', fixed_size=False)
config.Albatros.glarab_useHigh = ConfigYesNo(default=True)
config.Albatros.teleboy_username = ConfigText(default='test', fixed_size=False)
config.Albatros.teleboy_password = ConfigText(default='test', fixed_size=False)
config.Albatros.ustvnow_username = ConfigText(default='test', fixed_size=False)
config.Albatros.ustvnow_password = ConfigText(default='test', fixed_size=False)
config.Albatros.nda_user = ConfigText(default='User', fixed_size=False)
config.Albatros.nda_password = ConfigText(default='Password', fixed_size=False)
config.Albatros.skin = ConfigSelection(default='1', choices=[('1', 'Skin 1'), ('2', 'Skin 2'), ('3', 'Skin 3')])
config.Albatros.show_Moviesever = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_albtv = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Alqudseyes = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Wagasworld = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Dramacafe = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Dubaitv = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Sonara = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Farfesh = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Streamlive = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Dailymotion = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_StreamOase = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Veetle = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_FlashMoviez = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Panet = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Alarab = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_AnimeJunkies = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Filmpalast = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Cinemay = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Bokra = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Onlinetvler = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_123movies = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_KinoGer = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
#config.Albatros.show_Tectime = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_MyKino = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_KIKA = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_BurningSeries = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Newspaper = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Webcams = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_CanaliTV = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_telewizjada = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_HDTVler = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Zerocast = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_RussianPlaylist = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Hungarian = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_jagobd = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_NetD = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_KureTV = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Ecanlitvizle = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_GoldVod = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_StreamingHUB = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Teledunet = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_ZengaTV = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Infoua = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Giniko = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_GlChina = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_tvnanet = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_WeebTV = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_USTVNOW = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_IPTVPlanet = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Latino = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Glarab = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Glwiz = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Glturk = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_magictvboxeu = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_KodiLive = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Teleclub = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_StreamingHD = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Filmon = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_CCZwei = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_ArabicStreams = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Web = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Myvideoaz = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_NDATV = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Myvideoge = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_CanaliTVLive = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Teleboy = ConfigSelection(default='No', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Thai = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_ORF = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
#config.Albatros.show_lanet = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Scandinavian = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_LiveOnlineTV = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_ThaiSports = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Hoofoot = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Spox = ConfigSelection(default='No', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_wizihd = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_WSSSPORT = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_SportStreams = ConfigSelection(default='No', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Streamkingco = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_CricfreeL = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_CricfreeCH = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Romanian = ConfigSelection(default='No', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_MamaHD = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_tugoleada = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_OKGoals = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Ourmatch = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Skysport = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Wiziwig = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Stadium = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Streamking = ConfigSelection(default='No', choices=[('Yes', 'Yes'), ('No', 'No')])
#config.Albatros.show_freetvrocks = ConfigSelection(default='No', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_WWEIN = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_WWETV = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_WWECH = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
#config.Albatros.show_ShowSport = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_laola1 = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_Watchgames = ConfigSelection(default='No', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_arconaitv = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_cineto = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_kino24 = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_persian = ConfigSelection(default='No', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_canlitvplay = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_muntumedia = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_OnTVAl = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.wsssport_useragent = ConfigText(default='wsslive247 LibVLC/3.0.0-git', fixed_size=False)
config.Albatros.iptvfree_useragent = ConfigText(default='fuck6', fixed_size=False)
config.Albatros.show_ZopTV = ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_freetvstream=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_saraydorf=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_dizi=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_streamhdeu=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_tvsporthd=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_alltvfr=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_turkey=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_urtv=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])		
config.Albatros.show_tvmak=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_ontv=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_elitehd=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_iptvfree=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_vipgoal=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_tumarcador=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_sportsplayer=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_iranproud=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_shqiptv=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_elahmad=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_latino=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_livestream=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_streamcloud_paste=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_sportstvclub=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_ad_sports=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_c247=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_gol2hd=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_seirsanduk=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_wizihd=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_myonlinetv=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_streamkiste=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_filmestreamz=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_movietown=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_polish=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_nettvplayer=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_castfree=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_crimazlive=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_moreiptv=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_tvshqip=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_tvplayerlatino=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_sport365=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_kurdtvs=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_karwan=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_livetvhd=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_solidstreamz=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_kumanda=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_watchwrestlingup=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
#config.Albatros.show_livestreamtracker=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_tata=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_247HD=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])
config.Albatros.show_streamm=ConfigSelection(default='Yes', choices=[('Yes', 'Yes'), ('No', 'No')])

PLUGIN_PATH = '/usr/lib/enigma2/python/Plugins/Extensions/Albatros'

class SetupScreen(Screen, ConfigListScreen):

    def __init__(self, session):
        self.session = session
        sz_w = getDesktop(0).size().width()
        if sz_w == 1920:
            if config.Albatros.skin.value=='1':
                path = "/usr/lib/enigma2/python/Plugins/Extensions/Albatros/skin/hauptScreenSetup_new.xml"
            elif config.Albatros.skin.value=='2':
                path = "/usr/lib/enigma2/python/Plugins/Extensions/Albatros/skin2/hauptScreenSetup_new.xml"
            elif config.Albatros.skin.value=='3':
                path = "/usr/lib/enigma2/python/Plugins/Extensions/Albatros/skin3/hauptScreenSetup_new.xml"
        else:
            if config.Albatros.skin.value=='1':
                path = "/usr/lib/enigma2/python/Plugins/Extensions/Albatros/skin/hauptScreenSetup.xml"
            elif config.Albatros.skin.value=='2':
                path = "/usr/lib/enigma2/python/Plugins/Extensions/Albatros/skin2/hauptScreenSetup.xml"
            elif config.Albatros.skin.value=='3':
                path = "/usr/lib/enigma2/python/Plugins/Extensions/Albatros/skin3/hauptScreenSetup.xml"
        with open(path, 'r') as f:
            self.skin = f.read()
            f.close()
        Screen.__init__(self, session)
        self['actions'] = ActionMap(['OkCancelActions',
         'ShortcutActions',
         'WizardActions',
         'ColorActions',
         'SetupActions',
         'NumberActions',
         'MenuActions',
         'HelpActions'], {'ok': self.keyGo,
         'save': self.keyGo,
         'cancel': self.keyCancel,
         'green': self.keyGo,
         'red': self.keyCancel}, -2)
        self['red'] = Label(_('Exit'))
        self['green'] = Label(_('Save'))
        self['yellow'] = Label(_('About'))
        self['blue'] = Label('')
        self['title'] = Label('SetupScreen')
        self['name'] = Label('Plugin Auswahl')
        self.list = []
        ConfigListScreen.__init__(self, self.list, session=self.session)
        self.list.append(getConfigListEntry('---------- Skin ----------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Select Skin'), config.Albatros.skin))
        self.list.append(getConfigListEntry('---------- Teledunet ----------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Teledunet Username'), config.Albatros.teledunet_name))
        self.list.append(getConfigListEntry(_('Teledunet Password'), config.Albatros.teledunet_password))
        self.list.append(getConfigListEntry(_('Teledunet Id1'), config.Albatros.teledunet_id1))
        self.list.append(getConfigListEntry(_('Teledunet Idu'), config.Albatros.teledunet_idu))
        self.list.append(getConfigListEntry(_('Teledunet MYIP'), config.Albatros.teledunet_myip))
        self.list.append(getConfigListEntry(_('Teledunet DZ'), config.Albatros.teledunet_dz))
        self.list.append(getConfigListEntry('---------- IPTVFREE -------------', config.Albatros.no_entry))		
        self.list.append(getConfigListEntry(_('User-Agent'), config.Albatros.iptvfree_useragent))
        self.list.append(getConfigListEntry('---------- Ustvnow.com -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Username'), config.Albatros.ustvnow_username))
        self.list.append(getConfigListEntry(_('Password'), config.Albatros.ustvnow_password))
        self.list.append(getConfigListEntry('---------- NDA.tv -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('NDA User'), config.Albatros.nda_user))
        self.list.append(getConfigListEntry(_('NDA Password'), config.Albatros.nda_password))
        self.list.append(getConfigListEntry('---------- Hide/Show Plugins -----------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry('---------- Sports -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show LiveOnlineTV'), config.Albatros.show_LiveOnlineTV))
        self.list.append(getConfigListEntry(_('Show ThaiSports'), config.Albatros.show_ThaiSports))
        self.list.append(getConfigListEntry(_('Show Hoofoot'), config.Albatros.show_Hoofoot))
        self.list.append(getConfigListEntry(_('Show Spox.com'), config.Albatros.show_Spox))
        self.list.append(getConfigListEntry(_('Show Wizihd'), config.Albatros.show_wizihd))
        self.list.append(getConfigListEntry(_('Show WSS-SPORT'), config.Albatros.show_WSSSPORT))
        self.list.append(getConfigListEntry(_('Show SportStreams'), config.Albatros.show_SportStreams))
        self.list.append(getConfigListEntry(_('Show Streamking.co'), config.Albatros.show_Streamkingco))
        self.list.append(getConfigListEntry(_('Show Romanian Sports'), config.Albatros.show_Romanian))
        self.list.append(getConfigListEntry(_('Show Tugoleada.com'), config.Albatros.show_tugoleada))
        self.list.append(getConfigListEntry(_('Show OKGoals(H)'), config.Albatros.show_OKGoals))
        self.list.append(getConfigListEntry(_('Show Ourmatch(H)'), config.Albatros.show_Ourmatch))
        self.list.append(getConfigListEntry(_('Show Skysport(L)'), config.Albatros.show_Skysport))
        self.list.append(getConfigListEntry(_('Show Wiziwig - Lag10(L)'), config.Albatros.show_Wiziwig))
        self.list.append(getConfigListEntry(_('Show Stadium(L)'), config.Albatros.show_Stadium))
        self.list.append(getConfigListEntry(_('Show Streamking(L)'), config.Albatros.show_Streamking))
        self.list.append(getConfigListEntry(_('Show WWE.IN'), config.Albatros.show_WWEIN))
        self.list.append(getConfigListEntry(_('Show WWE.TV'), config.Albatros.show_WWETV))
        self.list.append(getConfigListEntry(_('Show WWE.CH'), config.Albatros.show_WWECH))
        #self.list.append(getConfigListEntry(_('Show ShowSport'), config.Albatros.show_ShowSport))
        self.list.append(getConfigListEntry(_('Show Laola1.tv'), config.Albatros.show_laola1))
        self.list.append(getConfigListEntry(_('Show Watchgames.se'), config.Albatros.show_Watchgames))
        self.list.append(getConfigListEntry(_('Show Streamhdeu'), config.Albatros.show_streamhdeu))
        self.list.append(getConfigListEntry(_('Show Tvsporthd'), config.Albatros.show_tvsporthd))
        self.list.append(getConfigListEntry(_('Show SportsPlayer'), config.Albatros.show_sportsplayer))
        self.list.append(getConfigListEntry(_('Show Vipgoal'), config.Albatros.show_vipgoal))
        self.list.append(getConfigListEntry(_('Show Tumarcador'), config.Albatros.show_tumarcador))
        self.list.append(getConfigListEntry(_('Show Sportstvclub'), config.Albatros.show_sportstvclub))
        self.list.append(getConfigListEntry(_('Show Ad_sports'), config.Albatros.show_ad_sports))
        self.list.append(getConfigListEntry(_('Show C247'), config.Albatros.show_c247))
        self.list.append(getConfigListEntry(_('Show Gol2hd'), config.Albatros.show_gol2hd))
        self.list.append(getConfigListEntry(_('Show Wizihd'), config.Albatros.show_wizihd))
        self.list.append(getConfigListEntry(_('Show Sport365'), config.Albatros.show_sport365))
        self.list.append(getConfigListEntry(_('Show Castfree'), config.Albatros.show_castfree))
        self.list.append(getConfigListEntry(_('Show Crimazlive'), config.Albatros.show_crimazlive))
        self.list.append(getConfigListEntry(_('Show WatchwrestlingUp'), config.Albatros.show_watchwrestlingup))
        self.list.append(getConfigListEntry(_('Show Streamm'), config.Albatros.show_streamm))
        self.list.append(getConfigListEntry(_('Show 247 HD'), config.Albatros.show_247HD))
        self.list.append(getConfigListEntry('---------- Arabic -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Alqudseyes'), config.Albatros.show_Alqudseyes))	
        self.list.append(getConfigListEntry(_('Show Dramacafe'), config.Albatros.show_Dramacafe))		
        self.list.append(getConfigListEntry(_('Show Moviesever'), config.Albatros.show_Moviesever))
        self.list.append(getConfigListEntry(_('Show Dubaitv'), config.Albatros.show_Dubaitv))
        self.list.append(getConfigListEntry(_('Show Sonara'), config.Albatros.show_Sonara))
        self.list.append(getConfigListEntry(_('Show Farfesh'), config.Albatros.show_Farfesh))
        self.list.append(getConfigListEntry(_('Show Panet'), config.Albatros.show_Panet))
        self.list.append(getConfigListEntry(_('Show Alarab'), config.Albatros.show_Alarab))
        self.list.append(getConfigListEntry(_('Show Bokra'), config.Albatros.show_Bokra))
        self.list.append(getConfigListEntry(_('Show Teledunet'), config.Albatros.show_Teledunet))
        self.list.append(getConfigListEntry(_('Show ArabicStreams'), config.Albatros.show_ArabicStreams))
        self.list.append(getConfigListEntry(_('Show IPTV-Planet'), config.Albatros.show_IPTVPlanet))
        self.list.append(getConfigListEntry(_('Show Elahmad'), config.Albatros.show_elahmad))
        self.list.append(getConfigListEntry(_('Show LivetvHD'), config.Albatros.show_livetvhd))
        self.list.append(getConfigListEntry(_('Show Newspaper'), config.Albatros.show_Newspaper))
        self.list.append(getConfigListEntry('---------- German -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Wagasworld'), config.Albatros.show_Wagasworld))
        self.list.append(getConfigListEntry(_('Show StreamOase'), config.Albatros.show_StreamOase))
        self.list.append(getConfigListEntry(_('Show Veetle'), config.Albatros.show_Veetle))
        self.list.append(getConfigListEntry(_('Show FlashMoviez'), config.Albatros.show_FlashMoviez))
        self.list.append(getConfigListEntry(_('Show Filmpalast'), config.Albatros.show_Filmpalast))
        self.list.append(getConfigListEntry(_('Show KinoGer'), config.Albatros.show_KinoGer))
        #self.list.append(getConfigListEntry(_('Show Tectime'), config.Albatros.show_Tectime))
        self.list.append(getConfigListEntry(_('Show MyKino'), config.Albatros.show_MyKino))
        self.list.append(getConfigListEntry(_('Show KIKA.de'), config.Albatros.show_KIKA))
        self.list.append(getConfigListEntry(_('Show BurningSeries'), config.Albatros.show_BurningSeries))
        self.list.append(getConfigListEntry(_('Show CCZwei'), config.Albatros.show_CCZwei))
        self.list.append(getConfigListEntry(_('Show KodiLive.eu'), config.Albatros.show_KodiLive))
        self.list.append(getConfigListEntry(_('Show Teleclub.fr'), config.Albatros.show_Teleclub))
        self.list.append(getConfigListEntry(_('Show ORF LIVE'), config.Albatros.show_ORF))
        self.list.append(getConfigListEntry(_('Show Teleboy'), config.Albatros.show_Teleboy))
        self.list.append(getConfigListEntry(_('Show Myonlinetv'), config.Albatros.show_myonlinetv))
        self.list.append(getConfigListEntry(_('Show Streamkiste'), config.Albatros.show_streamkiste))
        self.list.append(getConfigListEntry(_('Show Cine.to'), config.Albatros.show_cineto))
        self.list.append(getConfigListEntry(_('Show Kino24'), config.Albatros.show_kino24))
        self.list.append(getConfigListEntry(_('Show Tata'), config.Albatros.show_tata))
        self.list.append(getConfigListEntry(_('Show Streamcloud_paste'), config.Albatros.show_streamcloud_paste))
        self.list.append(getConfigListEntry(_('Show Filmestream'), config.Albatros.show_filmestreamz))
        self.list.append(getConfigListEntry('---------- Turkey -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Onlinetvler'), config.Albatros.show_Onlinetvler))
        self.list.append(getConfigListEntry(_('Show CanaliTV'), config.Albatros.show_CanaliTV))
        self.list.append(getConfigListEntry(_('Show NetD'), config.Albatros.show_NetD))
        self.list.append(getConfigListEntry(_('Show HDTVler.net'), config.Albatros.show_HDTVler))
        self.list.append(getConfigListEntry(_('Show CanliTVPlay'), config.Albatros.show_canlitvplay))
        self.list.append(getConfigListEntry(_('Show Dizi'), config.Albatros.show_dizi))
        self.list.append(getConfigListEntry(_('Show Turkey'), config.Albatros.show_turkey))
        self.list.append(getConfigListEntry(_('Show CanaliTVLive'), config.Albatros.show_CanaliTVLive))
        self.list.append(getConfigListEntry(_('Show Ecanlitvizle'), config.Albatros.show_Ecanlitvizle))
        self.list.append(getConfigListEntry('---------- IPTV -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Hungarian IPTV'), config.Albatros.show_Hungarian))
        self.list.append(getConfigListEntry(_('Show Iptvfree'), config.Albatros.show_iptvfree))
        self.list.append(getConfigListEntry(_('Show Solidstreamz'), config.Albatros.show_solidstreamz))
        self.list.append(getConfigListEntry(_('Show Moreiptv'), config.Albatros.show_moreiptv))
        self.list.append(getConfigListEntry(_('Show Urtv'), config.Albatros.show_urtv))
        self.list.append(getConfigListEntry(_('Show NDATV'), config.Albatros.show_NDATV))
        self.list.append(getConfigListEntry('---------- EXYU -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Ontv'), config.Albatros.show_ontv))
        self.list.append(getConfigListEntry(_('Show Elitehd'), config.Albatros.show_elitehd))
        self.list.append(getConfigListEntry(_('Show Shqiptv'), config.Albatros.show_shqiptv))
        self.list.append(getConfigListEntry(_('Show Tvmak'), config.Albatros.show_tvmak))
        self.list.append(getConfigListEntry(_('Show Tvshqip'), config.Albatros.show_tvshqip))
        self.list.append(getConfigListEntry(_('Show OnTVAl'), config.Albatros.show_OnTVAl))
        self.list.append(getConfigListEntry('---------- Latino -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Latino'), config.Albatros.show_Latino))
        self.list.append(getConfigListEntry(_('Show Tvplayerlatino'), config.Albatros.show_tvplayerlatino))
        self.list.append(getConfigListEntry('---------- Webcams -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Webcams'), config.Albatros.show_Webcams))
        self.list.append(getConfigListEntry('---------- Polish -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Telewizjada.net'), config.Albatros.show_telewizjada))
        self.list.append(getConfigListEntry(_('Show GoldVod'), config.Albatros.show_GoldVod))
        self.list.append(getConfigListEntry(_('Show WeebTV'), config.Albatros.show_WeebTV))
        self.list.append(getConfigListEntry(_('Show Polish'), config.Albatros.show_polish))		
        self.list.append(getConfigListEntry('---------- Mixed -------------', config.Albatros.no_entry))
        self.list.append(getConfigListEntry(_('Show Streamlive'), config.Albatros.show_Streamlive))
        self.list.append(getConfigListEntry(_('Show Dailymotion'), config.Albatros.show_Dailymotion))
        self.list.append(getConfigListEntry(_('Show AnimeJunkies'), config.Albatros.show_AnimeJunkies))
        self.list.append(getConfigListEntry(_('Show Cinemay.com'), config.Albatros.show_Cinemay))
        self.list.append(getConfigListEntry(_('Show 123movies'), config.Albatros.show_123movies))
        self.list.append(getConfigListEntry(_('Show Zerocast - USA'), config.Albatros.show_Zerocast))
        self.list.append(getConfigListEntry(_('Show RussianPlaylist'), config.Albatros.show_RussianPlaylist))
        self.list.append(getConfigListEntry(_('Show Jagobd'), config.Albatros.show_jagobd))
        self.list.append(getConfigListEntry(_('Show KureTV'), config.Albatros.show_KureTV))
        self.list.append(getConfigListEntry(_('Show StreamingHUB'), config.Albatros.show_StreamingHUB))
        self.list.append(getConfigListEntry(_('Show ZengaTV'), config.Albatros.show_ZengaTV))
        self.list.append(getConfigListEntry(_('Show Infoua.biz'), config.Albatros.show_Infoua))
        self.list.append(getConfigListEntry(_('Show Giniko'), config.Albatros.show_Giniko))
        self.list.append(getConfigListEntry(_('Show Tvnanet'), config.Albatros.show_tvnanet))
        self.list.append(getConfigListEntry(_('Show USTVNOW'), config.Albatros.show_USTVNOW))
        self.list.append(getConfigListEntry(_('Show Magictvboxeu'), config.Albatros.show_magictvboxeu))
        self.list.append(getConfigListEntry(_('Show StreamingHD'), config.Albatros.show_StreamingHD))
        self.list.append(getConfigListEntry(_('Show Filmon'), config.Albatros.show_Filmon))
        self.list.append(getConfigListEntry(_('Show Web TV'), config.Albatros.show_Web))
        self.list.append(getConfigListEntry(_('Show Myvideo.az'), config.Albatros.show_Myvideoaz))
        self.list.append(getConfigListEntry(_('Show Myvideo.ge'), config.Albatros.show_Myvideoge))
        self.list.append(getConfigListEntry(_('Show Thai TV'), config.Albatros.show_Thai))
        #self.list.append(getConfigListEntry(_('Show Lanet.tv'), config.Albatros.show_lanet))
        self.list.append(getConfigListEntry(_('Show Scandinavian'), config.Albatros.show_Scandinavian))
        self.list.append(getConfigListEntry(_('Show Arconaitv'), config.Albatros.show_arconaitv))
        self.list.append(getConfigListEntry(_('Show Persian'), config.Albatros.show_persian))
        self.list.append(getConfigListEntry(_('Show Muntumedia'), config.Albatros.show_muntumedia))
        self.list.append(getConfigListEntry(_('Show ZopTV'), config.Albatros.show_ZopTV))
        self.list.append(getConfigListEntry(_('Show Freetvstream'), config.Albatros.show_freetvstream))
        self.list.append(getConfigListEntry(_('Show Saraydorf'), config.Albatros.show_saraydorf))
        self.list.append(getConfigListEntry(_('Show Alltvfr'), config.Albatros.show_alltvfr))
        self.list.append(getConfigListEntry(_('Show Iranproud'), config.Albatros.show_iranproud))
        self.list.append(getConfigListEntry(_('Show Livestream'), config.Albatros.show_livestream))
        self.list.append(getConfigListEntry(_('Show Seirsanduk'), config.Albatros.show_seirsanduk))
        self.list.append(getConfigListEntry(_('Show Movietown'), config.Albatros.show_movietown))
        self.list.append(getConfigListEntry(_('Show Nettvplayer'), config.Albatros.show_nettvplayer))
        self.list.append(getConfigListEntry(_('Show Kurdtvs'), config.Albatros.show_kurdtvs))
        self.list.append(getConfigListEntry(_('Show Karwan'), config.Albatros.show_karwan))
        self.list.append(getConfigListEntry(_('Show Kumanda'), config.Albatros.show_kumanda))
        self['config'].list = self.list
        self['config'].l.setList(self.list)

    def keyLeft(self):
        ConfigListScreen.keyLeft(self)

    def keyRight(self):
        ConfigListScreen.keyRight(self)

    def keyGo(self):
        for x in self['config'].list:
            x[1].save()

        self.close()

    def keyCancel(self):
        for x in self['config'].list:
            x[1].cancel()

        self.close()


def main(session, **kwargs):
    session.open(SetupScreen)


def Plugins(path, **kwargs):
    global plugin_path
    plugin_path = path
    return [PluginDescriptor(name='SetupScreen', description='SetupScreen', where=[PluginDescriptor.WHERE_PLUGINMENU], fnc=main, icon='plugin.png')]